<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRequestUnitInternalLabel" jhiTranslate="mpmApp.requestUnitInternal.home.createOrEditLabel">Create or edit a Request Unit Internal</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!requestUnitInternal.idRequest">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="requestUnitInternal.idRequest" readonly />
                </div>

                <div class="form-group" *ngIf="idRequest === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestUnitInternal.requestUnitInternal" for="field_requestUnitInternal">Request Unit Internal</label>
                    <select class="form-control" id="field_requestUnitInternal" name="requestUnitInternal" [(ngModel)]="requestUnitInternal.requestUnitInternalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="requestUnitInternalOption.idRequest" *ngFor="let requestUnitInternalOption of requestunitinternals; trackBy: trackRequestUnitInternalById">{{requestUnitInternalOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idInternalFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestUnitInternal.internalFrom" for="field_internalFrom">Internal From</label>
                    <select class="form-control" id="field_internalFrom" name="internalFrom" [(ngModel)]="requestUnitInternal.internalFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idInternalTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestUnitInternal.internalTo" for="field_internalTo">Internal To</label>
                    <select class="form-control" id="field_internalTo" name="internalTo" [(ngModel)]="requestUnitInternal.internalToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
